> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shipstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Healthcheck

> Endpoint that is inexpensive and can be used to determine things like:
- The API is "up" or some other status
- The request has valid authentication or not
- What version of the software is running
- If there are any ongoing notices or issues reported
- The oldest API version supported
- The newest API version supported



## OpenAPI

````yaml GET /v1/system/status
openapi: 3.0.3
info:
  title: ShipStream
  version: '1.0'
  license:
    name: Commercial (Copyright 2025 - All Rights Reserved)
    url: https://shipstream.io
  contact:
    name: ShipStream Support
    email: help@shipstream.io
  termsOfService: https://shipstream.io/legal/api-terms/
servers:
  - url: https://{base_url_domain}/api/global
    description: Direct API Url
    variables:
      base_url_domain:
        default: example.shipstream.app
        description: >-
          The fully qualified domain name for your ShipStream WMS instance. This
          is either a custom domain, or a subdomain of shipstream.app,

          and will be the same as the domain name for the page which you use to
          login to ShipStream WMS.
security:
  - ShipStream_bearerAuth: []
tags:
  - name: Warehouses
    x-displayName: Warehouses
  - name: Products
    x-displayName: Products
  - name: Locations
    x-displayName: Locations
  - name: Levels
    x-displayName: Levels
  - name: HoldReasons
    x-displayName: HoldReasons
  - name: Holds
    x-displayName: Holds
  - name: Deliveries
    description: Every thing about a Delivery Receiving
    x-displayName: Deliveries
  - name: Shipments
    x-displayName: Shipments
  - name: Orders
    x-displayName: Orders
  - name: Retailers
    x-displayName: Retailers
  - name: Users
    x-displayName: Users
  - name: User Roles
    x-displayName: User Roles
  - name: Merchants
    x-displayName: Merchants
  - name: Healthcheck
    x-displayName: Healthcheck
paths:
  /v1/system/status:
    get:
      tags:
        - Healthcheck
      summary: Healthcheck
      description: |-
        Endpoint that is inexpensive and can be used to determine things like:
        - The API is "up" or some other status
        - The request has valid authentication or not
        - What version of the software is running
        - If there are any ongoing notices or issues reported
        - The oldest API version supported
        - The newest API version supported
      operationId: getStatus
      responses:
        '200':
          description: >-
            A dictionary with a `collection` property that contains an array of
            up to

            `limit` `Merchant` objects. If no merchants are found the array will
            be empty.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: General status of the service.
                    example: healthy
                  status_detail:
                    type: string
                    description: Detailed status information of the service.
                    example: Service is operating normally.
                  authentication:
                    type: string
                    description: Status of the authentication.
                    example: valid
                  instance_uid:
                    type: string
                    description: Unique identifier for the instance.
                    example: acmeinc
                  time:
                    type: string
                    format: date-time
                    description: >-
                      Human-readable timestamp with millisecond precision in the
                      following format ISO 8601 (yyyy-MM-dd'T'HH:mm:ss.SSS'Z).
                    example: '2024-04-15T15:21:15.739Z'
                  shipstream_version:
                    type: string
                    description: Version of ShipStream.
                    example: '2023.2'
                  shipstream_build:
                    type: string
                    description: Build identifier of ShipStream.
                    example: a1b2c3d4
        '400':
          $ref: '#/components/responses/System_API_v1_400-bad-request'
        '422':
          $ref: '#/components/responses/System_API_v1_422-unprocessable'
        '500':
          $ref: '#/components/responses/System_API_v1_500-internal-server-error'
components:
  responses:
    System_API_v1_400-bad-request:
      description: >-
        The request was invalid. The client must change the request. See the
        response body for more details.
      content:
        application/json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  type: object
                  properties:
                    type:
                      type: string
                      description: The error type code.
                      enum:
                        - parser
                        - parameters
                        - openapi
                    message:
                      type: string
                      description: An English sentence describing the error type.
                    details:
                      type: array
                      description: >-
                        An array of objects describing which keys are
                        responsible for the error and detailed messages
                        describing why they are not valid.
                      items:
                        type: object
                        properties:
                          key:
                            type: string
                            description: The path to the key which relates to the error.
                          message:
                            type: string
                            description: >-
                              An English sentence describing the details of the
                              error.
                        additionalProperties: false
                  additionalProperties: false
                minItems: 1
            additionalProperties: false
          example:
            errors:
              - type: parameters
                message: The supplied parameters are invalid.
                details:
                  - key: hold_until_date
                    message: The date must be in the future.
    System_API_v1_422-unprocessable:
      description: >-
        There was an error processing the request. See the response body for
        more details.
      content:
        application/json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  type: object
                  properties:
                    type:
                      type: string
                      description: The error type code.
                      enum:
                        - application
                        - unable_to_process
                    message:
                      type: string
                      description: An English sentence describing the error type.
                    details:
                      type: array
                      description: >-
                        An array of objects describing which keys are
                        responsible for the error and detailed messages
                        describing why they are not valid.
                      items:
                        type: object
                        properties:
                          key:
                            type: string
                            description: The path to the key which relates to the error.
                          message:
                            type: string
                            description: >-
                              An English sentence describing the details of the
                              error.
                        additionalProperties: false
                  additionalProperties: false
                minItems: 1
            additionalProperties: false
          example:
            errors:
              - type: unable_to_process
                message: The supplied parameters are invalid.
                details:
                  - key: hold_until_date
                    message: The date must be in the future.
    System_API_v1_500-internal-server-error:
      description: >-
        Internal Server Error - Something wrong happened at server side. Contact
        server administrator for more details.
  securitySchemes:
    ShipStream_bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Generate a JWT access token through a Custom Global Integration and
        provide it with each request in the `Authorization` header prefixed with
        "Bearer" and then a single space.

````